# plugin-api

This library host all the API of the common plugins.

Here is the list of native plugins exposed by Remix IDE

_Click on the name of the api to get the full documentation._


|API            |Name                                 |Description |
|---------------|-------------------------------------|------------|
|File System    |[fileManager](./doc/file-system.md)  |Manages the File System
|Compiler       |[solidity](./doc/solidity.md)        |The solidity Compiler
|Editor         |[editor](./doc/editor.md)            |Enables highlighting in the code Editor
|Network        |[network](./doc/network.md)          |Defines the network (mainnet, ropsten, ...) and provider (web3, vm, injected) used
|Udapp          |[udapp](./doc/udapp.md)              |Transaction listener
|Unit Testing   |[solidityUnitTesting](./doc/unit-testing.md) |Unit testing library in solidity
|Settings       |[settings](./doc/settings.md)        |Global settings of the IDE
|Content Import |[contentImport](./doc/content-import.md) |Import files from  github, swarm, ipfs, http or https.
|Terminal       |[terminal](./doc/terminal.md)        |Log to the terminal

