import { ProfileMap } from '@remixproject/plugin-utils';
import { ICompiler } from './compiler';
import { IFileSystem } from './file-system/file-manager';
import { IEditor } from './editor';
import { INetwork } from './network';
import { IUdapp } from './udapp';
import { ITheme } from './theme';
import { IUnitTesting } from './unit-testing';
import { IContentImport } from './content-import';
import { ISettings } from './settings';
import { IVScodeExtAPI } from './vscextapi';
import { IPluginManager } from './plugin-manager';
import { IFilePanel } from './file-system/file-panel';
import { IDgitSystem } from './dgit';
import { ITerminal } from './terminal';
export interface IRemixApi {
    manager: IPluginManager;
    solidity: ICompiler;
    fileManager: IFileSystem;
    filePanel: IFilePanel;
    dGitProvider: IDgitSystem;
    solidityUnitTesting: IUnitTesting;
    editor: IEditor;
    network: INetwork;
    udapp: IUdapp;
    contentImport: IContentImport;
    settings: ISettings;
    theme: ITheme;
    vscodeExtAPI: IVScodeExtAPI;
    terminal: ITerminal;
}
export declare type RemixApi = Readonly<IRemixApi>;
/** @deprecated Use remixProfiles instead. Will be remove in next version */
export declare const remixApi: ProfileMap<RemixApi>;
/** Profiles of all the remix's Native Plugins */
export declare const remixProfiles: ProfileMap<RemixApi>;
